---

#
# JSON Schema definition for `container` provision plugin
#
# https://tmt.readthedocs.io/en/stable/spec/plans.html#container
#

$id: /schemas/provision/container
$schema: https://json-schema.org/draft-07/schema

type: object
additionalProperties: false

properties:

  how:
    type: string
    enum:
      - container

  expose-device:
    $ref: "/schemas/common#/definitions/one_or_more_strings"

  name:
    type: string

  image:
    type: string

  pull:
    type: boolean

  role:
    $ref: "/schemas/common#/definitions/role"

  environment:
    $ref: "/schemas/common#/definitions/environment"

  user:
    type: string

  become:
    type: boolean

required:
  - how
